Bug 1461169 - Valid SCVMM file share not showing up as datastore on host.
Valid SCVMM file share not showing up as datastore on host.
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.7.0
Unspecified Unspecified
urgent Severity high
: GA
: 5.8.1
Assigned To: Daniel Berger
Jeff Teehan
provider:scvmm:datastore
: ZStream
Depends On: 1454963
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 13:33 EDT by Satoe Imaishi
Modified: 2017-08-02 13:31 EDT (History)
13 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1454963
Environment:
Last Closed: 2017-08-02 13:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-14 13:41:21 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/6bbdd7817ff5c69b9fe906c1e0c7df872313133d

commit 6bbdd7817ff5c69b9fe906c1e0c7df872313133d
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Tue Jun 6 16:59:55 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jun 14 13:40:09 2017 -0400

    Merge pull request #2 from djberg96/storage_fileshares
    
    Add support for storage fileshares
    (cherry picked from commit 7acce0382a8b10db453fe58e068ef97dec8c66a0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1461169

 .../infra_manager/ps_scripts/get_inventory.ps1     |  109 +-
 .../microsoft/infra_manager/refresh_parser.rb      |   23 +
 .../microsoft/infra_manager/refresher_spec.rb      |  139 +-
 spec/tools/scvmm_data/get_inventory_output.json    | 4284 +-------------------
 4 files changed, 168 insertions(+), 4387 deletions(-)
Comment 3 CFME Bot 2017-06-14 13:46:09 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/29afa34f52bc2a89e9c73b71c563a93f0a22634a

commit 29afa34f52bc2a89e9c73b71c563a93f0a22634a
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Fri Jun 9 10:46:52 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jun 14 13:41:58 2017 -0400

    Merge pull request #7 from djberg96/storage_fileshares
    
    Update host storage relationship to include file shares
    (cherry picked from commit 62bed8e10e092891e026d0dbcc3ed844ff58c793)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1461169

 .../microsoft/infra_manager/provision/cloning.rb      |  2 +-
 .../microsoft/infra_manager/refresh_parser.rb         |  8 +++++++-
 .../microsoft/infra_manager/provision_spec.rb         | 19 +++++++++++++++++++
 .../microsoft/infra_manager/refresher_spec.rb         |  2 +-
 4 files changed, 28 insertions(+), 3 deletions(-)
Comment 4 Jeff Teehan 2017-06-24 23:39:28 EDT
Verified on both 5.7.3 and 5.8.1.  Added Polarion Test Case.
Comment 6 errata-xmlrpc 2017-08-02 13:31:22 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.